USN-3453-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-3453-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-3453-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-3453-1
Related
Published
2017-10-12T14:32:14.946065Z
Modified
2017-10-12T14:32:14.946065Z
Summary
xorg-server, xorg-server-hwe-16.04, xorg-server-lts-xenial vulnerabilities
Details

Michal Srb discovered that the X.Org X server incorrectly handled shared memory segments. An attacker able to connect to an X server, either locally or remotely, could use this issue to crash the server, or possibly replace shared memory segments of other X clients in the same session. (CVE-2017-13721)

Michal Srb discovered that the X.Org X server incorrectly handled XKB buffers. An attacker able to connect to an X server, either locally or remotely, could use this issue to crash the server, or possibly execute arbitrary code. (CVE-2017-13723)

References

Affected packages

Ubuntu:14.04:LTS / xorg-server-lts-xenial

Package

Name
xorg-server-lts-xenial

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:1.18.3-1ubuntu2.3~trusty3

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "xserver-xorg-core-lts-xenial": "2:1.18.3-1ubuntu2.3~trusty3",
            "xserver-xephyr-lts-xenial": "2:1.18.3-1ubuntu2.3~trusty3",
            "xserver-xorg-dev-lts-xenial": "2:1.18.3-1ubuntu2.3~trusty3",
            "xwayland-lts-xenial": "2:1.18.3-1ubuntu2.3~trusty3",
            "xorg-server-source-lts-xenial": "2:1.18.3-1ubuntu2.3~trusty3"
        }
    ]
}

Ubuntu:14.04:LTS / xorg-server

Package

Name
xorg-server

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:1.15.1-0ubuntu2.10

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "xdmx-tools": "2:1.15.1-0ubuntu2.10",
            "xserver-xorg-xmir": "2:1.15.1-0ubuntu2.10",
            "xvfb": "2:1.15.1-0ubuntu2.10",
            "xdmx": "2:1.15.1-0ubuntu2.10",
            "xserver-xorg-dev": "2:1.15.1-0ubuntu2.10",
            "xorg-server-source": "2:1.15.1-0ubuntu2.10",
            "xserver-xorg-core": "2:1.15.1-0ubuntu2.10",
            "xserver-common": "2:1.15.1-0ubuntu2.10",
            "xnest": "2:1.15.1-0ubuntu2.10",
            "xserver-xephyr": "2:1.15.1-0ubuntu2.10",
            "xserver-xorg-core-udeb": "2:1.15.1-0ubuntu2.10"
        }
    ]
}

Ubuntu:16.04:LTS / xorg-server

Package

Name
xorg-server

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:1.18.4-0ubuntu0.6

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "xvfb": "2:1.18.4-0ubuntu0.6",
            "xserver-xorg-legacy": "2:1.18.4-0ubuntu0.6",
            "xdmx": "2:1.18.4-0ubuntu0.6",
            "xserver-xorg-dev": "2:1.18.4-0ubuntu0.6",
            "xorg-server-source": "2:1.18.4-0ubuntu0.6",
            "xserver-xorg-core": "2:1.18.4-0ubuntu0.6",
            "xserver-common": "2:1.18.4-0ubuntu0.6",
            "xnest": "2:1.18.4-0ubuntu0.6",
            "xwayland": "2:1.18.4-0ubuntu0.6",
            "xserver-xorg-xmir": "2:1.18.4-0ubuntu0.6",
            "xdmx-tools": "2:1.18.4-0ubuntu0.6",
            "xserver-xephyr": "2:1.18.4-0ubuntu0.6",
            "xmir": "2:1.18.4-0ubuntu0.6",
            "xserver-xorg-core-udeb": "2:1.18.4-0ubuntu0.6"
        }
    ]
}

Ubuntu:16.04:LTS / xorg-server-hwe-16.04

Package

Name
xorg-server-hwe-16.04

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:1.19.3-1ubuntu1~16.04.3

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "xserver-xorg-dev-hwe-16.04": "2:1.19.3-1ubuntu1~16.04.3",
            "xserver-xorg-legacy-hwe-16.04": "2:1.19.3-1ubuntu1~16.04.3",
            "xmir-hwe-16.04": "2:1.19.3-1ubuntu1~16.04.3",
            "xwayland-hwe-16.04": "2:1.19.3-1ubuntu1~16.04.3",
            "xserver-xorg-core-hwe-16.04": "2:1.19.3-1ubuntu1~16.04.3",
            "xserver-xephyr-hwe-16.04": "2:1.19.3-1ubuntu1~16.04.3",
            "xorg-server-source-hwe-16.04": "2:1.19.3-1ubuntu1~16.04.3"
        }
    ]
}